## org.gnu.gtk
Class AccelKey

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.MemStruct
              org.gnu.gtk.AccelKey

public class AccelKey
extends MemStruct

Constructor Summary
`AccelKey(org.gnu.glib.Handle hndl)` Creates a new AccelKey from an existing native resource

Method Summary
`AccelFlags` `getAccelFlags()` Returns the flags for this object
`static AccelKey` `getAccelKey(org.gnu.glib.Handle hndl)` Returns a new AccelKey object with the given native resouce
`int` `getKey()` Get the KeySymbol associated with this object
`ModifierType` `getModifier()` Returns the modifiers for this object

Methods inherited from class org.gnu.glib.MemStruct
`getMemStructFromHandle`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AccelKey

    public AccelKey(org.gnu.glib.Handle hndl)

  Creates a new AccelKey from an existing native resource

Parameters:
  `hndl` - The native resource from which to create the object
Since:
  2.8.1

Method Detail

### getKey

    public int getKey()

  Get the KeySymbol associated with this object

  Returns:
    The KeySymbol associated with the AccelKey
  Since:
    2.8.1

### getModifier

    public ModifierType getModifier()

  Returns the modifiers for this object

  Returns:
    The ModifierType associated with the AccelKey
  Since:
    2.8.1

### getAccelFlags

    public AccelFlags getAccelFlags()

  Returns the flags for this object

  Returns:
    The AccelFlags associated with the AccelKey
  Since:
    2.8.1

### getAccelKey

    public static AccelKey getAccelKey(org.gnu.glib.Handle hndl)

  Returns a new AccelKey object with the given native resouce

  Parameters:
    `hndl` - The native resource to use
  Returns:
    a new AccelKey